Bug 1043142

Summary: [abrt] bash-4.2.45-1.fc19: xmalloc: Process /usr/bin/bash was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: L. Green <rh-bugzilla>
Component: bashAssignee: Ondrej Oprala <ooprala>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: admiller, ooprala, ovasik, rh-bugzilla, tsmetana
Target Milestone: ---Flags: ooprala: needinfo? (rh-bugzilla)
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/8cb0ecf1aff048435c15a4fec1b397ae695c4f7f
Whiteboard: abrt_hash:7fd062c18337001d9fdbba08fd749424316937e4
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-19 08:16:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status none

Description L. Green 2013-12-14 06:55:29 UTC
Version-Release number of selected component:
bash-4.2.45-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /bin/sh -c 'if grep \'^TracerPid:[[:space:]]*[123456789]\' proc_pid_status >/dev/null 2>&1; then\n            # We see \'TracerPid: <nonzero>\" in /proc/PID/status\n            # Process is ptraced (gdb, strace, ltrace)\n            # Debuggers have wide variety of bugs where they leak SIGTRAP\n            # to traced process and nuke it. Ignore this crash.\n            echo \"The crashed process was ptraced - not saving the crash\"\n            exit 1  # abrt will remove the problem directory\n        fi\n        if grep -q ^ABRT_IGNORE_ALL=1 environ \\\n        || grep -q ^ABRT_IGNORE_CCPP=1 environ \\\n        ; then\n            echo \"ABRT_IGNORE variable is 1 - not saving the crash\"\n            # abrtd will delete the problem directory when we exit nonzero:\n            exit 1\n        fi\n        # Try generating backtrace, if it fails we can still use\n        # the hash generated by abrt-action-analyze-c\n        ##satyr migration:\n        #satyr abrt-create-core-stacktrace \"$DUMP_DIR\"\n        abrt-action-generate-core-backtrace\n        # Run GDB plugin to see if crash looks exploitable\n        abrt-action-analyze-vulnerability\n        # Generate hash\n        abrt-action-analyze-c &&\n        abrt-action-list-dsos -m maps -o dso_list &&\n        (\n            # Try to save relevant log lines.\n            # Can\'t do it as analyzer step, non-root can\'t read log.\n            executable=`cat executable` &&\n            base_executable=${executable##*/} &&\n            # Test if the current version of journalctl has --system switch\n            journalctl --system >/dev/null\n            if [ $? -ne 0 ];\n            then\n                # It\'s not an error if /var/log/messages isn\'t readable:\n                test -f /var/log/messages || exit 0\n                test -r /var/log/messages || exit 0\n                log=`grep -F -e \"$base_executable\" /var/log/messages | tail -99`\n            else\n                uid=`cat uid` &&\n                log=\"[System Logs]:\\n\" &&\n                log=$log`journalctl -b --system | grep -F -e \"$base_executable\" | tail -99` &&\n                log=$log\"\\n[User Logs]:\\n\" &&\n                log=$log`journalctl _UID=\"$uid\" -b | grep -F -e \"$base_executable\" | tail -99` &&\n                log=`echo -e \"$log\"`\n            fi\n            if test -n \"$log\"; then\n                printf \"%s\\n\" \"$log\" >var_log_messages\n                # echo \"Element \'var_log_messages\' saved\"\n            fi\n        )'
crash_function: xmalloc
executable:     /usr/bin/bash
kernel:         3.11.9-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0
var_log_messages: Dec  7 13:01:43 scabies abrt-hook-ccpp[13267]: Saved core dump of pid 13248 (/usr/bin/bash) to /var/tmp/abrt/ccpp-2013-12-07-13:01:43-13248 (495616 bytes)

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 xmalloc at xmalloc.c:112
 #3 make_bare_simple_command at make_cmd.c:516
 #4 make_simple_command at make_cmd.c:542
 #5 yyparse at ./parse.y:723
 #6 parse_command at eval.c:229
 #7 parse_and_execute at evalstring.c:252
 #8 run_one_command at shell.c:1325

Comment 1 L. Green 2013-12-14 06:55:34 UTC
Created attachment 836575 [details]
File: backtrace

Comment 2 L. Green 2013-12-14 06:55:35 UTC
Created attachment 836576 [details]
File: cgroup

Comment 3 L. Green 2013-12-14 06:55:37 UTC
Created attachment 836577 [details]
File: core_backtrace

Comment 4 L. Green 2013-12-14 06:55:38 UTC
Created attachment 836578 [details]
File: dso_list

Comment 5 L. Green 2013-12-14 06:55:39 UTC
Created attachment 836579 [details]
File: environ

Comment 6 L. Green 2013-12-14 06:55:41 UTC
Created attachment 836580 [details]
File: exploitable

Comment 7 L. Green 2013-12-14 06:55:42 UTC
Created attachment 836581 [details]
File: limits

Comment 8 L. Green 2013-12-14 06:55:43 UTC
Created attachment 836582 [details]
File: maps

Comment 9 L. Green 2013-12-14 06:55:45 UTC
Created attachment 836583 [details]
File: open_fds

Comment 10 L. Green 2013-12-14 06:55:46 UTC
Created attachment 836584 [details]
File: proc_pid_status

Comment 11 Ondrej Oprala 2014-04-01 15:41:22 UTC
Did this only happen once or are you able to reproduce it every time?
Thanks.